Name: bogofilter
Version: 0.5
Release: 1
URL: http://www.tuxedo.org/~esr/bogofilter/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/Internet
Summary: fast anti-spam filtering by Bayesian statistical analysis
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Bogofilter is a Bayesian spam filter.  In its normal mode of
operation, it takes an email message or other text on standard input,
does a statistical check against lists of "good" and "bad" words, and
returns a status code indicating whether or not the message is spam.
Bogofilter is designed with fast algorithms (including the Judy
fast-associative-array technique), coded directly in C, and tuned for
speed, so it can be used for production by sites that process a lot of
mail.

%prep
%setup

%build
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
gzip $RPM_BUILD_ROOT/%{_mandir}/*/*.?


%files
%{_mandir}/man1/bogofilter.1.gz
%{_bindir}/bogofilter
%doc README COPYING

%changelog
* Mon Aug 19 2002 Eric S. Raymond <esr@snark.thyrsus.com>
- Initial build.


